#include "wanderer.h"

// Movement mutators
void Wanderer::MoveEast() {
	if (OkEast) {
		int c = CurrPos.GetColumn();
		CurrPos.SetColumn(c + 1);
		OkNorth = OkEast = OkSouth = OkWest = false;
		SetDirection(East);
	}
}
void Wanderer::MoveSouth(){
	if(OkSouth) {
		int r = CurrPos.GetRow();
		CurrPos.SetRow(r + 1);
		OkNorth = OkEast = OkSouth = OkWest = false;
		SetDirection(South);
	}
}
void Wanderer::MoveWest() {
	if(OkWest) {
		int c = CurrPos.GetColumn();
		CurrPos.SetColumn(c - 1);
		OkNorth = OkEast = OkSouth = OkWest = false;
		SetDirection(West);
	}
}

